#!/usr/bin/python -t
# -*- mode: Python; indent-tabs-mode: nil; -*-
#
# ConfigParser enhanced for convenience.
# Author: Michael Schwendt <mschwendt@fedoraproject.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

import ConfigParser

class MyConfigParser(ConfigParser.ConfigParser):

    def __init__(self):
        self.cursection = None
        ConfigParser.ConfigParser.__init__(self)

    def val(self, key, default=None):
        if not self.cursection:
            raise ConfigParser.Error, 'MyConfigParser.cursection not set'
        if not self.has_option(self.cursection,key):
            return default
        return self.get(self.cursection,key)

